# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-25 10:19
from __future__ import unicode_literals

from django.db import migrations, models
import gencharts


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Chart',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='Name')),
                ('slug', models.CharField(db_index=True, max_length=120, unique=True, verbose_name='Slug')),
                ('html', models.TextField(blank=True, verbose_name='Html')),
                ('json', models.TextField(blank=True, verbose_name='Vega Lite encoded json data')),
                ('html_before', models.TextField(blank=True, verbose_name='Html before')),
                ('html_after', models.TextField(blank=True, verbose_name='Html after')),
                ('updated', models.DateTimeField(blank=True, null=True, verbose_name='Last update')),
                ('modelnames', models.CharField(blank=True, help_text='List of model names: ex: User,Group', max_length=200, verbose_name='Associated models')),
                ('generator', models.CharField(blank=True, max_length=120, verbose_name='Generator')),
            ],
            options={
                'verbose_name': 'Chart',
                'verbose_name_plural': 'Charts',
            },
            bases=(models.Model, gencharts.ChartsGenerator),
        ),
        migrations.CreateModel(
            name='Dashboard',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.CharField(max_length=120, unique=True, verbose_name='Slug')),
                ('title', models.CharField(max_length=160, verbose_name='Title')),
                ('updated', models.DateTimeField(blank=True, null=True, verbose_name='Last update')),
                ('icon', models.CharField(default='dashboard', max_length=60, verbose_name='Icon')),
                ('groups', models.ManyToManyField(blank=True, to='auth.Group', verbose_name='Authorized groups')),
            ],
            options={
                'verbose_name': 'Dashboard',
                'verbose_name_plural': 'Dashboards',
            },
        ),
        migrations.CreateModel(
            name='Number',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.CharField(max_length=120, unique=True, verbose_name='Slug')),
                ('value', models.IntegerField(default=0, verbose_name='Value')),
                ('unit', models.CharField(blank=True, max_length=120, verbose_name='Unit')),
                ('legend', models.CharField(blank=True, max_length=120, verbose_name='Legend')),
                ('html', models.TextField(blank=True, verbose_name='Html')),
                ('updated', models.DateTimeField(blank=True, null=True, verbose_name='Last update')),
                ('modelnames', models.CharField(blank=True, help_text='List of model names: ex: User,Group', max_length=200, verbose_name='Associated models')),
                ('generator', models.CharField(blank=True, max_length=120, verbose_name='Generator')),
                ('thresholds', models.CharField(blank=True, max_length=255, verbose_name='Thresholds')),
            ],
            options={
                'verbose_name': 'Number',
                'verbose_name_plural': 'Numbers',
            },
        ),
    ]
